package org.project.entity.enemies;
import org.project.entity.Entity;


public class Vampire extends Enemy {
    private final int attackDamage;

    public Vampire(int hp, int mp, int attackDamage) {
        super(hp, mp);
        this.attackDamage = attackDamage;
    }

    public int getAttackDamage() {
        return attackDamage;
    }

    @Override
    public void SpecialAbility(Entity target) {
        int healAmount = (int)(0.3 * attackDamage);
        heal(healAmount);
        target.takeDamage(attackDamage);
    }
}
